If you send a vision/image input to
lethe (text-only), the request is rejected with invalid_model, switch to lethe-vision.
List models
Get a single model
404 with code model_not_found.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
The two public LETHE model ids and what they map to.
| Model | Description | Input |
|---|---|---|
lethe | LETHE private text model. 1M context. | Text only |
lethe-vision | LETHE private multimodal model. | Image and video input |
opus, sonnet, haiku) and any claude-* / anthropic.* id are automatically aliased to lethe, point Claude Code at LETHE with no model-name changes. lethe-private and lethe-text also alias to lethe; lethe-image aliases to lethe-vision.lethe (text-only), the request is rejected with invalid_model, switch to lethe-vision.
curl https://asklethe.ai/v1/models \
-H "Authorization: Bearer $LETHE_API_KEY"
{
"object": "list",
"data": [
{ "id": "lethe", "object": "model", "created": 0, "owned_by": "lethe" },
{ "id": "lethe-vision", "object": "model", "created": 0, "owned_by": "lethe" }
]
}
curl https://asklethe.ai/v1/models/lethe \
-H "Authorization: Bearer $LETHE_API_KEY"
{
"id": "lethe",
"object": "model",
"created": 0,
"owned_by": "lethe"
}
404 with code model_not_found.